#include <stdio.h>
#include <stdlib.h>

#define NB 20
#define outFile "out.dat"

int main(void) {
  FILE *f_in, *f_out;
  int *tab1, *tab2;
  int i;
  
  tab1 = (int*)malloc(NB * sizeof(int));
  tab2 = (int*)malloc(NB * sizeof(int));
  
  for (i = 0 ; i < NB; i++)
    tab1[i] = i;

  /* writting to outFile*/
  if ((f_out = fopen(outFile, "w")) == NULL) {
    fprintf(stderr, "\nCan't write in file %s\n",outFile);
    return(EXIT_FAILURE);
  }
  fwrite(tab1, NB * sizeof(int), 1, f_out);
  fclose(f_out);

  /* reading from outFile */
  if ((f_in = fopen(outFile, "r")) == NULL) {
    fprintf(stderr, "\nCan't read from file %s\n",outFile);
    return(EXIT_FAILURE);
  }

  fread(tab2, NB * sizeof(int), 1, f_in);
  fclose(f_in);
  
  for (i = 0 ; i < NB; i++)
    printf("%d\t",tab2[i]);
  printf("\n");
  
  return(EXIT_SUCCESS);
}
