#include <stdio.h>
#include <stdint.h>

union my_int {
  int val;
  unsigned char bytes[sizeof(int)];
};

int main(int argc, char** argv) {
  union my_int mi;
  int idx;

  mi.val = 32656;

  for (idx = 0; idx < sizeof(int); idx++)
    // %u   : decimal unsigned int
    // %hu  : decimal unsigned short
    // %hhu : decimal unsigned char
    // https://en.wikipedia.org/wiki/Scanf_format_string#Format_string_specifications
    printf("byte %d = %hhu\n", idx, mi.bytes[idx]);

  return 0;
}