#include <stdio.h>

/* Kataskeyh domhs syndedemenhs listas */
typedef struct node{
  int value;
  struct node *next;
}NODE;


/* Prwtypa synarthsewn */
NODE *add_node(int number, NODE *first);
void display_link_list(NODE *head);

/* Orismos synarthsewn */
NODE* add_node(int number, NODE *first){
  
  NODE *temp, *node;
  node = (NODE *)malloc(sizeof(NODE));
  node->value = number;
  node->next = NULL;

  if(first==NULL)
    first = node;

  else{
    temp = first;
    
    while(temp->next!=NULL){
      temp = temp->next;
    }
    temp->next = node;
  }

  return first;
}  


void display_link_list(NODE *first){

  NODE *temp = first;

  while(temp != NULL){
    printf("%d  ", temp->value);
    temp = temp->next;
  }

}


int main(){

  // dilwseis metablitwn
  int i, first = 1;
  NODE *temp, *prev;
  NODE *first_list1 = NULL;
  NODE *first_list2 = NULL;
  FILE *fp;

  // vazw stoixeia stin prwti lista
  for(i=1; i<=5; i++){
    first_list1 = add_node(i, first_list1);
  }

  // typwnw tin prwti lista
  printf("\nList1: ");
  display_link_list(first_list1);

  // grafw tin prwti lista se ena binary arxeio
  fp = fopen("file.bin", "wb");
  temp = first_list1;
  while(temp != NULL){
    fwrite(temp, sizeof(NODE), 1, fp);
    temp = temp->next;
  }
  fclose(fp);

  // diavazw apo ena binary arxeio kai dimiourgw mia nea lista
  fp = fopen("file.bin", "rb");
  temp = (NODE *)malloc(sizeof(NODE));
  first_list2 = temp;
  prev = first_list2;

  while(fread(temp, sizeof(NODE), 1, fp)){
   	if (!first){
		prev->next = temp;
		prev = temp;
	}
  //  temp->next = NULL;

    temp = (NODE *)malloc(sizeof(NODE));

	first = 0;
  }
  fclose(fp);


  // typwnw ta stoixeia tis neas listas
  printf("\nList2: ");
  display_link_list(first_list2);

  return(0);
} 
